"Zope ODBC Database Connection"

import DA, Globals
from ImageFile import ImageFile

classes = ( "DA.Connection", )

meta_types = (
    { "name" : "Z ODBC Database Connection",
      "action" : "manage_addZODBCConnectionForm",
    },
)

methods = {
    "manage_addZODBCConnection" : DA.addConnection,
    "manage_addZODBCConnectionForm" : DA.addConnectionForm,
}

misc_ = {
    "conn" : ImageFile( "Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif" ),
}

__ac_permissions__ = (
    ( "Add Z ODBC Database Connections",
      ( "manage_addZODBCConnectionForm",
        "manage_addZODBCConnection"
      )
    ),
)

